Package org.apache.storm.generated

# Class DistributedRPC.Client

java.lang.Object
org.apache.storm.thrift.TServiceClient
org.apache.storm.generated.DistributedRPC.Client

All Implemented Interfaces:
  `DistributedRPC.Iface`

Enclosing class:
  DistributedRPC

public static class DistributedRPC.Client extends org.apache.storm.thrift.TServiceClient implements DistributedRPC.Iface

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DistributedRPC.Client.Factory`

- ## Field Summary

  ### Fields inherited from class org.apache.storm.thrift.TServiceClient

  `iprot_, oprot_, seqid_`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Client(org.apache.storm.thrift.protocol.TProtocol prot)`
  `Client(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TProtocol oprot)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `execute(String functionName, String funcArgs)`
  `String`
  `recv_execute()`
  `void`
  `send_execute(String functionName, String funcArgs)`

  ### Methods inherited from class org.apache.storm.thrift.TServiceClient

  `getInputProtocol, getOutputProtocol, receiveBase, sendBase, sendBaseOneway`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Client

    public Client(org.apache.storm.thrift.protocol.TProtocol prot)

  - ### Client

    public Client(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TProtocol oprot)

- ## Method Details

  - ### execute

    public String execute(String functionName, String funcArgs) throws DRPCExecutionException, AuthorizationException, org.apache.storm.thrift.TException
    Specified by:
      `execute` in interface `DistributedRPC.Iface`
    Throws:
      `DRPCExecutionException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`

  - ### send_execute

    public void send_execute(String functionName, String funcArgs) throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`

  - ### recv_execute

    public String recv_execute() throws DRPCExecutionException, AuthorizationException, org.apache.storm.thrift.TException
    Throws:
      `DRPCExecutionException`
      `AuthorizationException`
      `org.apache.storm.thrift.TException`